Loading...
Searching...
No Matches
Dune::GridGlue::VtkSurfaceWriter Class Reference

`#include <dune/grid-glue/extractors/vtksurfacewriter.hh>`

## Public Member Functions

| VtkSurfaceWriter (const char *filename)
| ~VtkSurfaceWriter ()
void | setFilename (const char *name)
template<typename K>
void | writeSurface (const std::vector< K > &coords, const std::vector< unsigned int > &indices, int corners, int dim)
template<typename K, typename T>
void | writeSurfaceElementData (const std::vector< K > &coords, const std::vector< unsigned int > &indices, int corners, const std::vector< T > &data, const char *dataname, int dim)
template<typename K, typename T>
void | writeSurfaceVertexData (const std::vector< K > &coords, const std::vector< unsigned int > &indices, int corners, const std::vector< T > &data, const char *dataname, int dim)

## Protected Member Functions

template<typename K>
void | writePoints (const std::vector< K > &coords, int dim, std::ofstream &fos)
void | writePolygons (const std::vector< unsigned int > &indices, const int *corners, int ncorners, int dim, std::ofstream &fos)
template<typename T>
void | writeCellData (const std::vector< T > &data, const char *dataname, int dim, std::ofstream &fos)
template<typename T>
void | writePointData (const std::vector< T > &data, const char *dataname, int dim, std::ofstream &fos)

## Constructor & Destructor Documentation

## VtkSurfaceWriter()

Dune::GridGlue::VtkSurfaceWriter::VtkSurfaceWriter | ( | const char * | filename | ) |

inline

## ~VtkSurfaceWriter()

Dune::GridGlue::VtkSurfaceWriter::~VtkSurfaceWriter | ( |  | ) |

inline

## Member Function Documentation

## setFilename()

void Dune::GridGlue::VtkSurfaceWriter::setFilename | ( | const char * | name | ) |

inline

## writeCellData()

template<typename T>

void Dune::GridGlue::VtkSurfaceWriter::writeCellData | ( | const std::vector< T > & | data,
|  | const char * | dataname,
|  | int | dim,
|  | std::ofstream & | fos )

inline protected

## writePointData()

template<typename T>

void Dune::GridGlue::VtkSurfaceWriter::writePointData | ( | const std::vector< T > & | data,
|  | const char * | dataname,
|  | int | dim,
|  | std::ofstream & | fos )

inline protected

## writePoints()

template<typename K>

void Dune::GridGlue::VtkSurfaceWriter::writePoints | ( | const std::vector< K > & | coords,
|  | int | dim,
|  | std::ofstream & | fos )

inline protected

## writePolygons()

void Dune::GridGlue::VtkSurfaceWriter::writePolygons | ( | const std::vector< unsigned int > & | indices,
|  | const int * | corners,
|  | int | ncorners,
|  | int | dim,
|  | std::ofstream & | fos )

inline protected

## writeSurface()

template<typename K>

void Dune::GridGlue::VtkSurfaceWriter::writeSurface | ( | const std::vector< K > & | coords,
|  | const std::vector< unsigned int > & | indices,
|  | int | corners,
|  | int | dim )

inline

## writeSurfaceElementData()

template<typename K, typename T>

void Dune::GridGlue::VtkSurfaceWriter::writeSurfaceElementData | ( | const std::vector< K > & | coords,
|  | const std::vector< unsigned int > & | indices,
|  | int | corners,
|  | const std::vector< T > & | data,
|  | const char * | dataname,
|  | int | dim )

inline

## writeSurfaceVertexData()

template<typename K, typename T>

void Dune::GridGlue::VtkSurfaceWriter::writeSurfaceVertexData | ( | const std::vector< K > & | coords,
|  | const std::vector< unsigned int > & | indices,
|  | int | corners,
|  | const std::vector< T > & | data,
|  | const char * | dataname,
|  | int | dim )

inline

The documentation for this class was generated from the following file:

- vtksurfacewriter.hh